Genivia - saml2__AssertionType::__saml2__union_AssertionType Struct Reference

|  | Home | Documentation | saml2__AssertionType::__saml2__union_AssertionType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__AssertionType::__saml2__union_AssertionType Struct Reference

`#include <saml2.h>`

Collaboration diagram for saml2__AssertionType::__saml2__union_AssertionType:
[legend]

## Public Attributes
struct saml2__StatementAbstractType * | saml2__Statement
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"Statement. More...
struct saml2__AuthnStatementType * | saml2__AuthnStatement
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AuthnStatement. More...
struct saml2__AuthzDecisionStatementType * | saml2__AuthzDecisionStatement
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AuthzDecisionStatement. More...
struct saml2__AttributeStatementType * | saml2__AttributeStatement
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AttributeStatement. More...

## Member Data Documentation

struct saml2__AttributeStatementType* saml2__AssertionType::__saml2__union_AssertionType::saml2__AttributeStatement

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AttributeStatement.

Choice of element (one of multiple choices).

struct saml2__AuthnStatementType* saml2__AssertionType::__saml2__union_AssertionType::saml2__AuthnStatement

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AuthnStatement.

Choice of element (one of multiple choices).

struct saml2__AuthzDecisionStatementType* saml2__AssertionType::__saml2__union_AssertionType::saml2__AuthzDecisionStatement

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AuthzDecisionStatement.

Choice of element (one of multiple choices).

struct saml2__StatementAbstractType* saml2__AssertionType::__saml2__union_AssertionType::saml2__Statement

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"Statement.

Choice of element (one of multiple choices).

The documentation for this struct was generated from the following file:

- saml2.h